From 65169e49e1607e58bc06bbb79e0798b231aa5a8b Mon Sep 17 00:00:00 2001
From: Kacper Donat <kadet1090@gmail.com>
Date: Sun, 7 Jun 2020 18:21:08 +0200
Subject: [PATCH] Add deploy scripts

---
 .build/build.sh  | 6 ++++++
 .build/deploy.sh | 6 ++++++
 2 files changed, 12 insertions(+)
 create mode 100644 .build/build.sh
 create mode 100644 .build/deploy.sh

diff --git a/.build/build.sh b/.build/build.sh
new file mode 100644
index 0000000..b6c71e7
--- /dev/null
+++ b/.build/build.sh
@@ -0,0 +1,6 @@
+BUILD_PATH=$1
+
+cd $BUILD_PATH || exit 1
+
+yarn install
+yarn build
diff --git a/.build/deploy.sh b/.build/deploy.sh
new file mode 100644
index 0000000..32fb0fd
--- /dev/null
+++ b/.build/deploy.sh
@@ -0,0 +1,6 @@
+BUILD_PATH=$1
+DEPLOY_PATH=$2
+
+# copy all dist files to deploy path
+rsync $BUILD_PATH/dist $DEPLOY_PATH
+